const
  uuidv4 = require('uuid/v4'),
  uuidv5 = require('uuid/v5'),

  /** Available UUID v5 namespaces */
  namespaces = {
    NULL: '00000000-0000-0000-0000-000000000000',
    URL: uuidv5.URL,
    DNS: uuidv5.DNS
  },

  /** Generate UUIDs */
  v4 = () => uuidv4(),
  v5 = (value, ns = namespaces.NULL) => uuidv5(value, ns)

const uuid = { v4, v5 }
module.exports = uuid
